package cn.iocoder.yudao.module.system.service.biz;


import cn.iocoder.yudao.module.system.dal.dataobject.biz.EvaluationTemplatesConfigDO;

import java.util.List;

/**
 * 评估问卷能力得分配置 Service 接口
 *
 * @author 系统管理员
 */
public interface EvaluationTemplatesConfigService {


    Long createEvaluationTemplatesConfig(EvaluationTemplatesConfigDO createReqVO);

    void deleteEvaluationTemplatesConfig(Long id);

    void updateEvaluationTemplatesConfig(EvaluationTemplatesConfigDO updateReqVO);

    EvaluationTemplatesConfigDO getEvaluationTemplatesConfig(Long id);

    List<EvaluationTemplatesConfigDO> getEvaluationTemplatesConfigList(Long evaluationTemplateId);
}